=== debian/changelog ===
hyprwayland-scanner (0.3.10-1) unstable; urgency=medium

  * Initial release. (Closes: #1073195)

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Fri, 14 Jun 2024 10:21:06 +0000
