## hyprwayland-scanner 0.4.2

=== debian/changelog ===
hyprwayland-scanner (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sun, 22 Sep 2024 09:08:26 +0000
