=== debian/control ===
Source: hyprwayland-scanner
Section: libdevel
Priority: optional
Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libpugixml-dev,
 pkgconf
Standards-Version: 4.7.0
Homepage: https://github.com/hyprwm/hyprwayland-scanner
Vcs-Browser: https://salsa.debian.org/NyxTrail/hyprwayland-scanner
Vcs-Git: https://salsa.debian.org/NyxTrail/hyprwayland-scanner.git

Package: hyprwayland-scanner
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Implementation of wayland-scanner for Hyprland
 hyprwayland-scanner is a Hyprland implementation of wayland-scanner,
 in and for C++.
