=== debian/changelog ===
hyprwayland-scanner (0.4.4-1) unstable; urgency=medium

  * New upstream version 0.4.4 

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sun, 02 Mar 2025 10:20:41 +0000

hyprwayland-scanner (0.4.2-2) unstable; urgency=medium

  * #1085254 : Mark 'Multi-Arch: foreign', and move pkgconf
    and cmake files to /usr/share

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sat, 19 Oct 2024 13:39:08 +0000
