=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,6 @@
 	dh $@
 
 
-#override_dh_auto_configure:
-#	dh_auto_configure -- \
-#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
+override_dh_auto_configure:
+	dh_auto_configure -- \
+	-DCMAKE_INSTALL_LIBDIR=/usr/share
