## hyprwayland-scanner 0.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,6 +51,7 @@
 write_basic_package_version_file(
   "hyprwayland-scanner-config-version.cmake"
   VERSION "${VERSION}"
+  ARCH_INDEPENDENT
   COMPATIBILITY AnyNewerVersion)
 
 # Installation
