=== debian/changelog ===
hyprwayland-scanner (0.4.5-0.1) unstable; urgency=medium

  * Non-maintainer upload
  [ alan (NyxTrail) ]
  * Include metadata for patch file

  [ Chow Loong Jin ]
  * New upstream version 0.4.5 (Closes: #1106524)
  * Drop upstreamed patches

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 18 Sep 2025 16:24:08 +0800
