=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
  cmake,
  libpugixml-dev,
  pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/hyprwm/hyprwayland-scanner
 Vcs-Browser: https://salsa.debian.org/NyxTrail/hyprwayland-scanner
 Vcs-Git: https://salsa.debian.org/NyxTrail/hyprwayland-scanner.git
 
 Package: hyprwayland-scanner
 Architecture: any
+Multi-Arch: foreign
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
