=== debian/watch ===
version=4
opts="searchmode=html" \
  https://github.com/hyprwm/hyprwayland-scanner/tags \
  https://github.com/hyprwm/hyprwayland-scanner/archive/refs/tags/v(\d+)\.(\d+)\.(\d+)?\.tar\.gz
